/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */


console.log("add event");

document.addEventListener("DOMContentLoaded", draw, false); // appel au chargement de la page
 

/**
 * Dessine avec l'API canvas
 * @return {[type]} [description]
 */
function draw()
{

	var oCanvas = document.getElementById("nameCanvas");  
	var oContexte = oCanvas.getContext("2d");// récupère le contexte de l'objet "dessin"  
	
	oContexte.moveTo(15, 150); 
	oContexte.bezierCurveTo(130, 130, 140, 120, 160, 150); // une courbe de Bézier


	oContexte.moveTo(15, 200); 
	oContexte.quadraticCurveTo(130, 150, 160, 200);// une courbe quadratique
	oContexte.fillStyle = "#FF4000";   // une couleur de remplissage
	oContexte.fill();// pour remplir les dessins

	// création d'un rectangle avec les bords arrondis
	oContexte.moveTo(20, 30); 
	oContexte.lineTo(20, 60); 
	oContexte.quadraticCurveTo(20, 70, 30, 70); 
	oContexte.lineTo(110, 70); 
	oContexte.quadraticCurveTo(120, 70, 120, 60); 
	oContexte.lineTo(120, 30); 
	oContexte.quadraticCurveTo(120, 20, 110, 20); 
	oContexte.lineTo(30, 20); 
	oContexte.quadraticCurveTo(20, 20, 20, 30); 
	oContexte.stroke();

	oContexte.strokeStyle = "#0101DF"; // une couleur des contours
	oContexte.strokeRect(330, 30, 150, 150);// un rectangle
  	
	oContexte.font = "33px Arial";// choix de la police et de sa taille
  	oContexte.strokeText("Bienvenue sur Développement Facile ;)", 10, 230);// écriture d'un texte
}


